Subject: Re: Suppress / delay SYN-ACK

From: Eric Dumazet <[email-masked]>
Date: Fri, 13 Oct 2006 06:11:16 +0200

Rick Jones a écrit :
>> More to the point, on what basis would the application be rejecting a
>> connection request based solely on the SYN?
> 
> True, it isn't like there would suddenly be any call user data as in 
> XTI/TLI.

DATA payload could be included in the SYN packet. TCP specs allow this AFAIK.

About iptables rules added on the fly by an application that want to protect 
its listen queue from random sources of 'blacklisted' peers, this has the 
limitation of granting sufficient rights to the user running the application.

Eric